package com.app.admin.framework.system.permission.authorization.service;

import com.app.admin.framework.system.module.model.SysModule;
import com.app.admin.framework.system.permission.authorization.model.SysRoleModule;
import com.app.framework.core.support.service.CrudBaseService;

import java.util.List;
import java.util.Set;

/**
 * 角色资源关联管理
 */
public interface SysRoleModuleService extends CrudBaseService<SysRoleModule> {

    boolean deleteByRoleId(Long roleId);

    List<SysRoleModule> listByRoleId(Long roleId);

    List<SysModule> selectByRoleIds(Integer mtype, Set<Long> roleIds);
}